## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream has no tests.
%bcond_with    tests

%global         srcname     azure-mgmt-recoveryservices

Name:           python-%{srcname}
Version:        2.5.0
Release:        %autorelease
Summary:        Microsoft Azure Recovery Services Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

Epoch:          1


BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Recovery Services Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


# LICENSE missing. Made a PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20178
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 1:2.5.0-2
- Update to 2.5.0 rhbz#2240840

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 1:2.5.0-1
- Switch source in pypi to tarball

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1:2.4.0-1
- Update to 2.4.0 rhbz#2219715

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:2.2.0-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:2.2.0-2
- S

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 1:2.2.0-1
- Update to 2.2.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 07 2022 Major Hayden <major@redhat.com> - 1:2.1.0-1
- Update to 2.1.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 1:2.0.0-8
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:2.0.0-7
- Rebuilt for Python 3.11

* Tue May 17 2022 Major Hayden <major@mhtx.net> - 1:2.0.0-6
- Add python-dotenv to test reqs

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 1:2.0.0-5
- Disable tests in EPEL 9

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 1:2.0.0-4
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-1
- Update to 2.0.0

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-3
- 🤦 Add sources

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-2
- Bump release number

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-1
- Add epoch number for 1.0.0 downgrade

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- Update to 2.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- Initial import (#1971847)
## END: Generated by rpmautospec
